List Reservations

List Reservations
Get all reservations for this org

Get all reservations for this org

Request
URI
GET
https://vmc.vmware.com/vmc/api/orgs/{org}/reservations
COPY
Path Parameters
string
org
Required

Organization identifier


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "in_maintenance_window": false,
        "reservation_schedule": {
            "reservations": [
                {
                    "duration": 0,
                    "rid": "string",
                    "create_time": "string",
                    "start_time": "2018-05-01'T'05:00:00'Z'",
                    "metadata": {
                        "metadata": "string"
                    }
                }
            ],
            "reservations_mw": [
                {
                    "rid": "string",
                    "week_of": "string",
                    "create_time": "string",
                    "metadata": {
                        "metadata": "string"
                    }
                }
            ]
        },
        "reservation_id": "string",
        "in_maintenance_mode": false,
        "sddc_id": "string"
    }
]
array of object
Optional

401

Unauthorized

Operation doesn't return any data structure

403

Access not allowed to the operation for the current user

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/vmc/api/orgs/{org}/reservations